Role Name
=========

This role installs drone without docker

Requirements
------------

This role requires a database server to to be present where drone can connect to

Role Variables
--------------


- drone_postgress_user: default "{{ inventory_hostname}}"
- drone_postgress_db: default "{{ inventory_hostname}}"
- drone_server_host: url where drone will be reachable
- drone_rpc_secret:  something secret
- drone_integration: 'gitea'
- drone_gitea_server: url to gitea server
- drone_gitea_client_id: client id for gitea oauth application
- drone_gitea_client_secret:  client secret for gitea oauth application
- drone_posgress_data_dir: "/run/postgresql/"
- drone_user_filter: ""

Dependencies
------------
None

Example Playbook
----------------

```yaml
- name: "Install drone"
  hosts: drone
  roles:
      - ansible-role-drone
  vars:
      - drone_gitea_server: "drone.example.com"
# more vars here
```

License
-------

GPL-v3

Author Information
------------------

Jens (gitea.caret.be)
